public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/bumblebee/
Date: Thu,  4 Jun 2020 20:36:15 +0000 (UTC)	[thread overview]
Message-ID: <1591302256.4fe63e88529a3668108ea22c493ca3166db80975.pacho@gentoo> (raw)

commit:     4fe63e88529a3668108ea22c493ca3166db80975
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Thu Jun  4 20:24:16 2020 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Thu Jun  4 20:24:16 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4fe63e88

x11-misc/bumblebee: New snapshot with more fixes

Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 x11-misc/bumblebee/Manifest                        |  1 +
 .../bumblebee/bumblebee-3.2.1_p20190421.ebuild     | 95 ++++++++++++++++++++++
 2 files changed, 96 insertions(+)

diff --git a/x11-misc/bumblebee/Manifest b/x11-misc/bumblebee/Manifest
index 92f4952549a..e4035def585 100644
--- a/x11-misc/bumblebee/Manifest
+++ b/x11-misc/bumblebee/Manifest
@@ -1,2 +1,3 @@
 DIST bumblebee-3.2.1.tar.gz 143110 BLAKE2B 537fe96e061f229c4c1e7748aef89e4eec040536d7a3161b449a34752c19078d3b4da6703f1c11268b4bb0e6590f94168bab5917fceac0eb73825b3c233548f0 SHA512 6f016f75d199577215ff00c059e196829e9d3efeb0fb6eebe6c3fad6176e330332e1ef25875a22ac9892895683d95899ea44f1ec1f85d31300ad83cb1fe0310a
 DIST bumblebee-3.2.1_p20170123.tar.gz 63376 BLAKE2B 986cc1ff39d937547268b07c98f8881810586c58a40f454cb3839aea4e5f116b27b8947acc7b1e05f3cca7a3f717f963ae3ad9f379473b40b898e6fcfedff5e6 SHA512 398101927211a8d09f19d519fd0537c94b942bd7fc11d10d394a3a520f2afa6abe174db78b60bb134caf78ffda4cdd50d0ef424134acd07ff4ce93998881e31b
+DIST bumblebee-3.2.1_p20190421.tar.gz 63640 BLAKE2B 62bf3e7556b3cc3651f0e1f9fabd22501b82e78c0820b5ae113fddc24816cefd9c788a33d506944dc971092ae22dc3389ced79da6284a5e812ffad909bb03ebd SHA512 e24de3b60e55828ccbbd85774b9a776ba01b62850489b9d7952c4bf807f080b68d084f11de540a65d1bf78f6a35ce89d35f868de14e7ab9d768cdf21a1d422ec

diff --git a/x11-misc/bumblebee/bumblebee-3.2.1_p20190421.ebuild b/x11-misc/bumblebee/bumblebee-3.2.1_p20190421.ebuild
new file mode 100644
index 00000000000..ecedcc95c49
--- /dev/null
+++ b/x11-misc/bumblebee/bumblebee-3.2.1_p20190421.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools readme.gentoo-r1 systemd user
+
+if [[ ${PV} == 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/Bumblebee-Project/Bumblebee.git"
+	EGIT_BRANCH="develop"
+	KEYWORDS=""
+else
+	COMMIT="7aa457fe7b4fffc3b175ad36fdae00d7777065dc"
+	SRC_URI="https://github.com/Bumblebee-Project/Bumblebee/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+
+	S="${WORKDIR}/Bumblebee-${COMMIT}"
+fi
+
+DESCRIPTION="Service providing elegant and stable means of managing Optimus graphics chipsets"
+HOMEPAGE="https://bumblebee-project.org https://github.com/Bumblebee-Project/Bumblebee"
+
+SLOT="0"
+LICENSE="GPL-3"
+
+IUSE="+bbswitch video_cards_nouveau video_cards_nvidia"
+
+COMMON_DEPEND="
+	dev-libs/glib:2
+	dev-libs/libbsd
+	sys-apps/kmod
+	x11-libs/libX11
+"
+
+RDEPEND="${COMMON_DEPEND}
+	virtual/opengl
+	x11-base/xorg-drivers[video_cards_nvidia?,video_cards_nouveau?]
+	bbswitch? ( sys-power/bbswitch )
+"
+
+DEPEND="${COMMON_DEPEND}
+	sys-apps/help2man
+	virtual/pkgconfig
+"
+
+PDEPEND="
+	|| (
+		x11-misc/primus
+		x11-misc/virtualgl
+	)
+"
+
+REQUIRED_USE="|| ( video_cards_nouveau video_cards_nvidia )"
+
+pkg_setup() {
+	enewgroup bumblebee
+}
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_configure() {
+	if use video_cards_nvidia ; then
+		# Get paths to GL libs for all ABIs
+		local i nvlib=""
+		for i in  $(get_all_libdirs) ; do
+			nvlib="${nvlib}:/usr/${i}/opengl/nvidia/lib"
+		done
+
+		local nvpref="/usr/$(get_libdir)/opengl/nvidia"
+		local xorgpref="/usr/$(get_libdir)/xorg/modules"
+		ECONF_PARAMS="CONF_DRIVER=nvidia CONF_DRIVER_MODULE_NVIDIA=nvidia \
+			CONF_LDPATH_NVIDIA=${nvlib#:} \
+			CONF_MODPATH_NVIDIA=${nvpref}/lib,${nvpref}/extensions,${xorgpref}/drivers,${xorgpref}"
+	fi
+
+	econf \
+		${ECONF_PARAMS}
+}
+
+src_install() {
+	default
+
+	newconfd "${FILESDIR}"/${PN}.confd ${PN}
+	newinitd "${FILESDIR}"/${PN}.initd ${PN}
+	newenvd "${FILESDIR}"/${PN}.envd 99${PN}
+	systemd_dounit scripts/systemd/bumblebeed.service
+
+	local DOC_CONTENTS="In order to use Bumblebee, add your user to 'bumblebee' group.
+		You may need to setup your /etc/bumblebee/bumblebee.conf"
+	readme.gentoo_create_doc
+}


             reply	other threads:[~2020-06-04 20:36 UTC|newest]

Thread overview: 30+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-06-04 20:36 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-07-09 14:43 [gentoo-commits] repo/gentoo:master commit in: x11-misc/bumblebee/ Pacho Ramos
2021-04-12 17:33 Sam James
2021-04-12 17:33 Sam James
2021-04-10 21:14 Conrad Kostecki
2021-04-10 21:14 Conrad Kostecki
2021-04-10 21:14 Conrad Kostecki
2021-03-26 11:25 Sam James
2021-03-25 15:42 Sam James
2021-02-18 21:49 Sam James
2021-02-15  0:32 Sam James
2021-01-13 19:18 Pacho Ramos
2021-01-13 19:18 Pacho Ramos
2020-07-24 15:09 Agostino Sarubbo
2020-06-19 17:35 Pacho Ramos
2020-06-07  8:44 Agostino Sarubbo
2020-06-06 20:14 Agostino Sarubbo
2020-06-05  7:28 Pacho Ramos
2020-06-05  7:28 Pacho Ramos
2020-06-04 20:36 Pacho Ramos
2020-06-04 20:36 Pacho Ramos
2020-06-04 20:36 Pacho Ramos
2018-07-16  5:02 NP Hardass
2017-07-30  9:23 Michał Górny
2017-02-16 22:35 NP Hardass
2017-02-15 23:00 Patrice Clement
2017-01-25 23:02 NP Hardass
2016-10-22  7:53 Pacho Ramos
2016-10-15 13:10 Jason Donenfeld
2016-04-19 19:52 Ian Stakenvicius

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1591302256.4fe63e88529a3668108ea22c493ca3166db80975.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox